Types.MonitorTransferReportMessage (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.agent

## Class Types.MonitorTransferReportMessage

- java.lang.Object
- - org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Types

      public static class Types.MonitorTransferReportMessage
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `bytesTransferred`
    `long` | `totalBytes`
    `int` | `totalTransfers`
    `int` | `transferCompleted`
    `String` | `transferID`
    `String` | `transferStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Types.MonitorTransferReportMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytesTransferred()`
    `long` | `getTotalBytes()`
    `int` | `getTotalTransfers()`
    `int` | `getTransferCompleted()`
    `String` | `getTransferID()`
    `String` | `getTransferStatus()`
    `void` | `setBytesTransferred(long bytesTransferred)`
    `void` | `setTotalBytes(long totalBytes)`
    `void` | `setTotalTransfers(int totalTransfers)`
    `void` | `setTransferCompleted(int transferCompleted)`
    `void` | `setTransferID(String transferID)`
    `void` | `setTransferStatus(String transferStatus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transferID

          public String transferID

    - #### totalTransfers

          public int totalTransfers

    - #### transferCompleted

          public int transferCompleted

    - #### totalBytes

          public long totalBytes

    - #### bytesTransferred

          public long bytesTransferred

    - #### transferStatus

          public String transferStatus

  - ### Constructor Detail

    - #### Types.MonitorTransferReportMessage

          public Types.MonitorTransferReportMessage()

  - ### Method Detail

    - #### getTransferID

          public String getTransferID()

    - #### setTransferID

          public void setTransferID(String transferID)

    - #### getTotalTransfers

          public int getTotalTransfers()

    - #### setTotalTransfers

          public void setTotalTransfers(int totalTransfers)

    - #### getTransferCompleted

          public int getTransferCompleted()

    - #### setTransferCompleted

          public void setTransferCompleted(int transferCompleted)

    - #### getTotalBytes

          public long getTotalBytes()

    - #### setTotalBytes

          public void setTotalBytes(long totalBytes)

    - #### getBytesTransferred

          public long getBytesTransferred()

    - #### setBytesTransferred

          public void setBytesTransferred(long bytesTransferred)

    - #### getTransferStatus

          public String getTransferStatus()

    - #### setTransferStatus

          public void setTransferStatus(String transferStatus)

Copyright © 2015. All Rights Reserved.